Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor Member List

This is the complete list of members for eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor, including all inherited members.

$catalogue | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor | private
$defaultDomain | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor | protected
$docParser | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor | private
$exceptionsToExtractFrom | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor | protected
$file | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor | private
$fileSourceFactory | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor | private
$logger | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor | private
$previousNode | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor | private
$traverser | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor | private
__construct(DocParser $docParser, FileSourceFactory $fileSourceFactory) | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor |
afterTraverse(array $nodes) | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor |
beforeTraverse(array $nodes) | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor |
enterNode(Node $node) | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor |
getDocCommentForNode(Node $node) | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor | private
leaveNode(Node $node) | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor |
setLogger(LoggerInterface $logger) | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor |
visitFile(\SplFileInfo $file, MessageCatalogue $catalogue) | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor |
visitPhpFile(\SplFileInfo $file, MessageCatalogue $catalogue, array $ast) | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor |
visitTwigFile(\SplFileInfo $file, MessageCatalogue $catalogue, \Twig_Node $ast) | eZ\Publish\Core\MVC\Symfony\Translation\TranslatableExceptionsFileVisitor |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.